<template>
    <div class="chat-footer">
        <form action="javascript:void(0)">
            <input v-model="message" @keydown.enter="send" type="text" class="form-control" placeholder="write your message here.."
                   aria-label="Recipient's username" aria-describedby="button-addon2">
            <div class="form-buttons">
                <button class="btn btn-light btn-floating" type="button">
                    <i class="fa fa-paperclip"></i>
                </button>
                <button class="btn btn-light btn-floating" type="button">
                    <i class="fa fa-microphone"></i>
                </button>
                <button class="btn btn-primary btn-floating" @click="send" type="submit">
                    <i class="fa fa-send"></i>
                </button>
            </div>
        </form>
    </div>
</template>
<script>
    export default{
        data(){
            return {
                message:'',
            }
        },
        methods: {
            send(e){
                e.preventDefault();
                if (this.message === '') return;
                this.$emit('send',this.message);
                this.message ='';
            }
        }
    }
</script>
